Subject: [bug#38931] gnu: Add gnome-music.

From: Christopher Baines <[email-masked]>
Date: Fri, 03 Apr 2020 20:59:02 +0100

Pierre Neidhardt <[email-masked]> writes:

> Hi,
>
> I tried this patch but it does not work for me outside GNOME, in an
> empty environment.
>
> I added gsettings-desktop-schemas and the following arguments
>
> --8<---------------cut here---------------start------------->8---
> (arguments
>     `(#:phases
>       (modify-phases %standard-phases
>         (add-after 'install 'wrap
>           (lambda* (#:key outputs #:allow-other-keys)
>             (let ((out (assoc-ref outputs "out")))
>               (wrap-program (string-append out "/bin/gnome-music")
>                 `("PYTHONPATH" ":" prefix (,(getenv "PYTHONPATH")
>                                            ,(string-append out "/lib/python"
>                                                            "3.7"
>                                                            ;; TODO: How do we get  version-major+minor?
>                                                            ;; (version-major+minor
>                                                            ;;  (package-version python))
>                                                            "/site-packages")))
>                 `("GI_TYPELIB_PATH" ":" prefix (,(getenv "GI_TYPELIB_PATH")))
>                 `("GRL_PLUGIN_PATH"        ":" prefix (,(getenv "GRL_PLUGIN_PATH")))))
>             #t)))))
> --8<---------------cut here---------------end--------------->8---
>
> But it still fails to start with
>
>
> --8<---------------cut here---------------start------------->8---
>> /gnu/store/j3ja6m8sarvpki7pxzaxfc4r85bkmlzy-gnome-music-3.34.2/bin/gnome-music
> removed, grl-bookmarks
> removed, grl-metadata-store
> removed, grl-filesystem
> removed, grl-podcasts
>
> (org.gnome.Music:29122): GLib-GIO-ERROR **: 20:59:08.968: Settings schema 'org.gnome.Music' is not installed
> trace/breakpoint trap
> --8<---------------cut here---------------end--------------->8---
>
> Any idea?

I think the output for the gnome-music package should also be included
in the GI_TYPELIB_PATH.

I think this is the meson build system, which I think accepts
#:glib-or-gtk? #t as an argument. Try adding that, you might be able to
remove some of the wrapping you added above then.